import type { Theme } from '../../lib/theming/Theme.js';
export declare const globalClasses: {
    root: string;
    arrow: string;
    caption: string;
    text: string;
    innerShadow: string;
    disabled: string;
};
export declare const getStyles: import("../../lib/theming/Emotion.js").StylesGetter<{
    root(t: Theme): string;
    withArrowIconRightSmall(t: Theme): string;
    withArrowIconRightMedium(t: Theme): string;
    withArrowIconRightLarge(t: Theme): string;
    withArrowIconLeftSmall(t: Theme): string;
    withArrowIconLeftMedium(t: Theme): string;
    withArrowIconLeftLarge(t: Theme): string;
    simulatedPress(): string;
    /** @deprecated */
    outlineDefault(): string;
    /** @deprecated */
    outlineWarning(t: Theme): string;
    /** @deprecated */
    outlineError(t: Theme): string;
    /** @deprecated */
    outlineLink(): string;
    /** @deprecated */
    outlineLinkWarning(t: Theme): string;
    /** @deprecated */
    outlineLinkError(t: Theme): string;
    sizeSmall(t: Theme): string;
    sizeMedium(t: Theme): string;
    sizeLarge(t: Theme): string;
    sizeSmallWithIcon(t: Theme): string;
    sizeMediumWithIcon(t: Theme): string;
    sizeLargeWithIcon(t: Theme): string;
    sizeSmallWithRightIcon(t: Theme): string;
    sizeMediumWithRightIcon(t: Theme): string;
    sizeLargeWithRightIcon(t: Theme): string;
    sizeSmallWithIconWithoutText(t: Theme): string;
    sizeMediumWithIconWithoutText(t: Theme): string;
    sizeLargeWithIconWithoutText(t: Theme): string;
    /** @deprecated */
    link(t: Theme): string;
    /** @deprecated */
    linkLineHeight(): string;
    /** @deprecated */
    linkLineHeightSafariFallback(): string;
    /** @deprecated */
    linkFocus(t: Theme): string;
    /** @deprecated */
    linkDisabled(t: Theme): string;
    focus(t: Theme): string;
    disabled(t: Theme): string;
    disabledWithoutOutline(t: Theme): string;
    arrowIconRoot(): string;
    arrowIconRootSmall(t: Theme): string;
    arrowIconRootMedium(t: Theme): string;
    arrowIconRootLarge(t: Theme): string;
    arrowIconLeft(): string;
    default(t: Theme): string;
    accent(t: Theme): string;
    success(t: Theme): string;
    danger(t: Theme): string;
    pay(t: Theme): string;
    text(t: Theme): string;
    outline(t: Theme): string;
    fill(t: Theme): string;
    checked(t: Theme): string;
    checkedFocused(t: Theme): string;
    checkedDisabled(t: Theme): string;
    caption(): string;
    captionLink(): string;
    captionDisabled(): string;
    wrap(t: Theme): string;
    wrapSmall(t: Theme): string;
    wrapMedium(t: Theme): string;
    wrapLarge(t: Theme): string;
    /** @deprecated */
    narrow(): string;
    noPadding(): string;
    noRightPadding(): string;
    wrapLink(): string;
    /** @deprecated */
    borderless(): string;
    backlessDisabled(t: Theme): string;
    textDisabled(): string;
    loading(): string;
    visibilityHidden(): string;
}>;
export declare const getActiveStyles: import("../../lib/theming/Emotion.js").StylesGetter<{
    default(t: Theme): string;
    accent(t: Theme): string;
    success(t: Theme): string;
    danger(t: Theme): string;
    pay(t: Theme): string;
    link(t: Theme): string;
    text(t: Theme): string;
    outline(t: Theme): string;
    fill(t: Theme): string;
}>;
